local anim8 = require("anim8/anim8") --animacion libreria
      path = { 
                  {x=200,y=200},
                  {x=300,y=200},
                  {x=200,y=500},
                  {x=200,y=500}
              }  

current_goal_index = 1

function love.load()
   local spritesheet = love.graphics.newImage('sprites/hero.png')
   local g = anim8.newGrid(32, 32, spritesheet:getWidth(), spritesheet:getHeight())
   
                 
   ------------------------------------------------
   player2 = {
              spritesheet = spritesheet,
              x = 200,
              y = 200,
              speed = 400,
              animations = {
                              up = anim8.newAnimation(g('4-6',4), 0.4),
                              down = anim8.newAnimation(g('4-6',1), 0.4),
                              left = anim8.newAnimation(g('4-6',2), 0.4),
                              right = anim8.newAnimation(g('4-6',3), 0.4)
                            }
            }
        player2.animation = player2.animations.right --starts looking rigth 
        --player2.animation:pause()
  end
  
function love.update(dt)
   
  current_goal = path[current_goal_index]
  dx, dy = math.abs(player2.x - current_goal.x), math.abs(player2.y - current_goal.y)
  --movimiento
  if     player2.x < current_goal.x and player2.y <= current_goal.y then 
             player2.x = player2.x + player2.speed * dt
             player2.animation = player2.animations.right
  elseif player2.y < current_goal.y then
                      player2.y = player2.y + player2.speed * dt
                      player2.animation = player2.animations.down
  
  elseif player2.x > current_goal.x then
             player2.x = player2.x - player2.speed * dt
             player2.animation = player2.animations.left
             
  elseif player2.y > current_goal.y and player2.x <= current_goal.x then
             player2.y = player2.y - player2.speed * dt
             player2.animation = player2.animations.up
  --elseif player2.y >= current_goal.y then
    --          player2.y = player2.y - player2.speed * dt
      --        player2.animation = player2.animations.up             
  
  end 
  --------
  if dx + dy < 1 then --if player is in the goal go to other
  --he arrives
    
    current_goal_index = (current_goal_index + 1) --% #path
     if current_goal_index > #path then
         current_goal_index = (current_goal_index) % #path
     end    
        
  end
  

  player2.animation:update(dt)
  
end

function love.draw()
    --info
    love.graphics.print("Player 2 X,Y:[" .. player2.x .. "],[" .. player2.y .. "]", 100,110)
    love.graphics.print("Current  X,Y:[" .. current_goal.x .. "],[" .. current_goal.y .. "]", 100,125)
    love.graphics.print("Current Goal: " .. current_goal_index, 100,135)
    love.graphics.print("dx: " .. dx, 100, 145)
    love.graphics.print("dy: " .. dy, 100, 155)
    love.graphics.print("dx+dy: " .. dx + dy, 100, 165)
    love.graphics.print(player2.x .. "       <     " .. current_goal.x, 100, 300)
    love.graphics.print(player2.y .. "       <     " .. current_goal.y, 100, 320)
    love.graphics.print(player2.x .. "       >     " .. current_goal.x, 100, 340)
    love.graphics.print(player2.y .. "       >     " .. current_goal.y, 100, 360)
 
    
   
    
    
    --dibujar heroe
    
    player2.animation:draw(player2.spritesheet, player2.x, player2.y)
  end
        